Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Halide::Internal::JITCache Struct Reference

`#include <JITModule.h>`

## Public Member Functions
| JITCache ()=default
| JITCache (Target jit_target, std::vector< Argument > arguments, std::map< std::string, JITExtern > jit_externs, JITModule jit_module, WasmModule wasm_module)
Target | get_compiled_jit_target () const
int | call_jit_code (const void *const *args)
void | finish_profiling (JITUserContext *context)

## Public Attributes
Target | jit_target
std::vector< Argument > | arguments
std::map< std::string, JITExtern > | jit_externs
JITModule | jit_module
WasmModule | wasm_module

## Detailed Description

Definition at line 304 of file JITModule.h.

## Constructor & Destructor Documentation

## ◆ JITCache() [1/2]

Halide::Internal::JITCache::JITCache | ( |  | ) |
| default

## ◆ JITCache() [2/2]

Halide::Internal::JITCache::JITCache | ( | Target | jit_target,
|  | std::vector< Argument > | arguments,
|  | std::map< std::string, JITExtern > | jit_externs,
|  | JITModule | jit_module,
|  | WasmModule | wasm_module
| ) |  |

## Member Function Documentation

## ◆ get_compiled_jit_target()

Target Halide::Internal::JITCache::get_compiled_jit_target | ( |  | ) | const

## ◆ call_jit_code()

int Halide::Internal::JITCache::call_jit_code | ( | const void *const * | args | ) |

## ◆ finish_profiling()

void Halide::Internal::JITCache::finish_profiling | ( | JITUserContext * | context | ) |

## Member Data Documentation

## ◆ jit_target

Target Halide::Internal::JITCache::jit_target

Definition at line 305 of file JITModule.h.

## ◆ arguments

std::vector<Argument> Halide::Internal::JITCache::arguments

Definition at line 307 of file JITModule.h.

## ◆ jit_externs

std::map<std::string, JITExtern> Halide::Internal::JITCache::jit_externs

Definition at line 308 of file JITModule.h.

## ◆ jit_module

JITModule Halide::Internal::JITCache::jit_module

Definition at line 309 of file JITModule.h.

## ◆ wasm_module

WasmModule Halide::Internal::JITCache::wasm_module

Definition at line 310 of file JITModule.h.

The documentation for this struct was generated from the following file:

- src/JITModule.h